Prepare Image
=============

* Use the **VMDK format**
* Use SCSI adapter type in VM, or:
* Add **mptspi** (SCSI driver) to the initrd
	* openSUSE: Edit `/etc/dracut.conf`  
		1. Change the line `#add_drivers+=""` to `add_drivers+="mptspi"`
		2. Execute `dracut -f`
	* openSUSE < 13.2:
		1. Edit `/etc/sysconfig/kernel`
		2. Add it to `INITRD_MODULES`
		3. Update initrd: `mkinitrd`
	* Debian
		1. Edit `/etc/initramfs-tools/modules`
		2. Execute `update-initramfs -u`

Copy VM to ESX
==============

1. Create a new VM using the vSphere Client

2. Upload the VMDK disk image files

3. Convert disk image files:
	1. Enable the ESX SSH shell:
	[VMware KB: Using ESXi Shell in ESXi 5.x and 6.0](http://kb.vmware.com/kb/2004746)
	2. Login to the ESX server, then  
	`cd /vmfs/volumes/vmstore01/<vmordner>`
	3. Use the following command to convert the images:  
	`vmkfstools -i input.vmdk -d thin output.vmdk`
	4. Unfortunately, the adapter type has to be changed manually.  
	Change the following value in the VMDK file *(not the "flat" ones):*  
	`ddb.adapterType = "lsilogic"`

4. Add the images to the VM

General Hints
=============

List drivers used for a device:

	udevadm info -a -n /dev/<device>
